Subject: bug#25542: 25.1; Restoring the frame from fullscreen to maximized

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Sep 2020 09:46:54 +0300

> From: Dani Moncayo <[email-masked]>
> Date: Fri, 4 Sep 2020 19:50:59 +0200
> Cc: [email-masked], Noam Postavsky <[email-masked]>
> 
> On Fri, Sep 4, 2020 at 2:33 PM Lars Ingebrigtsen <[email-masked]> wrote:
> > [...]
> > Did anybody try this
> > solution to see whether it fixes the problem, or has the problem been
> > fixed in a different way over the years?
> 
> I've just seen that the bug is still present in the version I'm using:
> 
>   GNU Emacs 27.1 (build 1, x86_64-pc-cygwin)
>    of 2020-08-11

This problem is specific to the Cywgin's w32 build, so someone who
uses it should try the patch.

I cannot say that I'm happy with the patch, though: it affects the
native w32 build as well, where the problem doesn't happen in the
first place.  If it helps, maybe we should make the change conditional
on CYGWIN or something.

Ken, can you try the patch, please?  And WDYT about the solution?